HiC_Output <-
function(HiCResults,fragIDs,probfile,estimatorfile){

# output parameter files
x=c(HiCResults$theta.estimate,HiCResults$phi.estimate, HiCResults$psi.estimate)
names(x)=c("theta.estimate","phi.estimate", "psi.estimate")
write.table(x,file=estimatorfile,col.names=FALSE)

# output probability file.
Prob=HiCResults$posterior.probability
U=HiCResults$observed.count
E=HiCResults$expected.count
if (length(fragIDs)!=dim(Prob)[1]){
print("The length of fragment name list is not equal to the matrix dimension.")
      print(paste("The length of fragment list is ",length(fragIDs))) 
 print(paste("The number of fragments for the posterior probability matrix is ",dim(Prob)[1])) 
print(paste("We will paste using fragment number 1,2,3...,",dim(Prob)[1],sep=""))
fragIDs=1:dim(Prob)[1]                 
}
number=(length(fragIDs)-1)*length(fragIDs)/2

trow.matrix=t(array(fragIDs,dim=c(length(fragIDs),length(fragIDs))))
tcol.matrix=t(trow.matrix)
tProb=t(Prob)
tU=t(U)
tE=t(E)

Data=cbind(trow.matrix[lower.tri(trow.matrix)],tcol.matrix[lower.tri(tcol.matrix)],tU[lower.tri(tU)],tE[lower.tri(tE)],tProb[lower.tri(tProb)])
colnames(Data)=c("Frag1","Frag2","ObservedCount","ExpectedCount","PeakProbability")
write.table(Data,file=probfile,row.names=FALSE,quote=FALSE,sep="\t")
}
